Package logilab :: Package common :: Module tree :: Class PrefixedDepthFirstIterator

[frames] | no frames]

# Class PrefixedDepthFirstIterator

source code

                  object --+
                           |
    visitor.FilteredIterator --+
                               |
                              PrefixedDepthFirstIterator

    a prefixed depth first iterator, designed to be used with visitors

Instance Methods

__init__(self, node, filter_func=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `visitor.FilteredIterator`: `__next__`, `next` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, node, filter_func=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)